Loading...
Searching...
No Matches
Dune::RangeError Class Reference
Common » Exception handling

Default exception class for range errors. More...

`#include <dune/common/exceptions.hh>`

Inheritance diagram for Dune::RangeError:

## Public Member Functions

void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

Default exception class for range errors.

This is the superclass for all errors which are caused because the user tries to access data that was not allocated before. These can be problems like

- accessing array entries behind the last entry
- adding the fourth non zero entry in a sparse matrix with only three non zero entries per row

The documentation for this class was generated from the following file:

- exceptions.hh